cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(gz-transport13 ${gz-transport_FIND_VERSION} REQUIRED COMPONENTS ${gz-transport_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(gz-transport::gz-transport ALIAS gz-transport13::gz-transport13)
add_library(gz-transport::core ALIAS gz-transport13::gz-transport13)

# Retrieve the list of components
get_target_property(components gz-transport13::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL gz-transport13::gz-transport13)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "gz-transport13::gz-transport13-" "" component_name ${component})
  add_library(gz-transport::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(gz-transport ALIAS gz-transport13::gz-transport13)
